﻿
$ErrorActionPreference = 'Stop';

$OSVersion = [Environment]::OSVersion.Version

if($OSVersion.Major -eq 5 -and $OSVersion.Minor -le 0)
{
     Write-Error "This version of Windows is not supported."      
}
if($OSVersion.Major -lt 5)
{
     Write-Error "This version of Windows is not supported."
}

$SGVersion = "4.0.0"
$FileVersion = $SGVersion -replace "\.",""

$Culture = Get-Culture
$CultureLangCode = $Culture.TwoLetterISOLanguageName
if($CultureLangCode -eq "de")
{
	$LangCode = "ge"
	$checksum = "4E2F3FDCDEB296A92F0DFBD59A1EE4F1"
	$checksum64 = "4E2F3FDCDEB296A92F0DFBD59A1EE4F1"
}
elseif($CultureLangCode -eq "es")
{
	$LangCode = "es"
	$checksum = "F433250DFF5034BCCA030DDE8E65A312"
	$checksum64 = "F433250DFF5034BCCA030DDE8E65A312"
}
elseif($CultureLangCode -eq "fr")
{
	$LangCode = "fr"
	$checksum = "66E090B52CFC36F5BA512DF69E1D6BAA"
	$checksum64 = "66E090B52CFC36F5BA512DF69E1D6BAA"
}
elseif($CultureLangCode -eq "it")
{
	$LangCode = "it"
	$checksum = "ADA4D9E9E73EAF881FD610BC511EF0CE"
	$checksum64 = "ADA4D9E9E73EAF881FD610BC511EF0CE"
}
elseif($CultureLangCode -eq "ja")
{
	$LangCode = "jp"
	$checksum = "CBFA08E2C6F268ED747BF7680F85E731"
	$checksum64 = "CBFA08E2C6F268ED747BF7680F85E731"
}
elseif($CultureLangCode -eq "ru")
{
	$LangCode = "ru"
	$checksum = "CF1E22E301C45CE61135937569F32680"
	$checksum64 = "CF1E22E301C45CE61135937569F32680"
	}
elseif($CultureLangCode -eq "zh")
{
	$LangCode = "zh"
	$checksum = "926B13BC8DAB959887C83CD781576D22"
	$checksum64 = "926B13BC8DAB959887C83CD781576D22"
}
else
{
	$LangCode = "en"
	$checksum = "F15FB008FDDA64C4069510D224433B44"
	$checksum64 = "F15FB008FDDA64C4069510D224433B44"
}

Write-Debug "Then LangCode is $LangCode"

$packageName= 'securitygateway'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = "http://archive.altn.com/securitygateway/Archive/" + $SGVersion + "/sg" + $FileVersion + "_" + $LangCode + ".exe"
$url64      = "http://archive.altn.com/securitygateway/Archive/" + $SGVersion + "/sg" + $FileVersion + "_" + $LangCode + ".exe"

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'EXE'
  url           = $url
  url64bit      = $url64

  silentArgs    = '/s'
  validExitCodes= @(0, 3010, 1641)

  softwareName  = 'securitygateway*'
  checksum      = $checksum
  checksumType  = 'md5'
  checksum64    = $checksum64
  checksumType64= 'md5'
}

Install-ChocolateyPackage @packageArgs


